Get OpalScript by ID
curl --request GET \
--url https://api.opal.dev/v1/opal-scripts/{opal_script_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.opal.dev/v1/opal-scripts/{opal_script_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.opal.dev/v1/opal-scripts/{opal_script_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"opal_script_id": "32acc112-21ff-4669-91c2-21e27683eaa1",
"name": "MFA check",
"script_type": "REQUEST_REVIEW",
"version": 3
}Get OpalScript by ID
Returns an OpalScript object.
GET
/
opal-scripts
/
{opal_script_id}
Get OpalScript by ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the OpalScript.
Response
200 - application/json
The OpalScript associated with the passed-in ID.
OpalScript Object
Description
The OpalScript object represents an OpalScript: a Starlark script that
automates part of Opal's access lifecycle.
The ID of the OpalScript.
Example:
"32acc112-21ff-4669-91c2-21e27683eaa1"
The name of the OpalScript.
Example:
"MFA check"
The kind of automation an OpalScript performs.
Available options:
REQUEST_REVIEW, REQUEST_DELEGATION_CONDITION, CONTEXT_PROVIDER Example:
"REQUEST_REVIEW"
The source of the OpalScript's latest version.
The version number of the OpalScript's latest version.
Example:
3
The date the OpalScript was last updated.
Last modified on October 8, 2026
Was this page helpful?